Page MenuHomePhabricator

Add UserMerge support to Echo
Closed, ResolvedPublic

Description

Echo needs a UserMergeAccountFields subscriber to support UserMerge.


Version: unspecified
Severity: enhancement

Details

Reference
bz67766

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:32 AM
bzimport added a project: Notifications.
bzimport set Reference to bz67766.
Reedy created this task.Jul 9 2014, 11:50 PM

This is going to be very hard / impossible to do since we store serialized user ids in the echo_event.event_extra BLOB. I'm not sure what to do about those.

Change 156233 had a related patch set uploaded by Legoktm:
Add UserMerge support

https://gerrit.wikimedia.org/r/156233

Change 156233 abandoned by Legoktm:
Add UserMerge support

Reason:
Okay

https://gerrit.wikimedia.org/r/156233

Change 156233 restored by Legoktm:
Add UserMerge support

https://gerrit.wikimedia.org/r/156233

After discussion with Erik, we plan on adding this functionality, but updating the blobs will not be done for the initial deployment and will be a low priority enhancement. We will just ensure that nothing fatals or anything.

Change 156233 merged by jenkins-bot:
Add UserMerge support

https://gerrit.wikimedia.org/r/156233

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 16 2018, 11:31 AM